Delete an asset from a terminal theme
Deletes a single asset from a terminal theme owned by the merchant account specified in the path. To identify the asset you want to remove, you must use the query parameters type and model.
When the type is logo, deleting the asset is blocked if the theme owner is not allowed to edit logos.
To make this request, your API credential must have the following role:
- Management API - Terminal themes read and write
The Android terminal model that the asset is for. Use All only if the type is logo. For every other screen type specify a single Android terminal model such as AMS1.
The screen type or screen element that the asset is for:
- logo: your logo. Only supported if
modelis All. - homeScreen: the default background screen.
- idleScreen: a screensaver shown when the terminal is inactive. Only supported if
modelis SFO1 or M450. - afterPaymentScreen: a screen shown after the payment is completed.
- shopperEngagementScreen: a screen shown during shopper engagement requests. Only supported if
modelis SFO1 or M450.
The unique identifier of the terminal theme.
The unique identifier of the merchant account.
After submitting a call, you receive a response message to inform you that your request was received and processed.
Depending on the HTTP status code of the response message, it is helpful to build some logic to handle any errors that a request or the system may return.
HTTP Responses
204 - No Content
Asset deleted
401
Unauthorized
403
Forbidden
404
Not Found
422
Unprocessable Entity
500
Internal Server Error